Package org.eigenbase.resgen

# Class Util.DummyPrintStream

java.lang.Object
java.io.OutputStream
java.io.FilterOutputStream
java.io.PrintStream
org.eigenbase.resgen.Util.DummyPrintStream

All Implemented Interfaces:
  `Closeable`, `Flushable`, `Appendable`, `AutoCloseable`

Enclosing class:
  `Util`

static class Util.DummyPrintStream extends PrintStream
So we know to avoid recursively calling `Util.printStackTrace(Throwable,PrintStream)`.

## Field Summary

### Fields inherited from class java.io.FilterOutputStream

`out`

## Constructor Summary

Constructors
Constructor
Description
`DummyPrintStream(OutputStream out)`

## Method Summary

### Methods inherited from class java.io.PrintStream

`append, append, append, charset, checkError, clearError, close, flush, format, format, print, print, print, print, print, print, print, print, print, printf, printf, println, println, println, println, println, println, println, println, println, println, setError, write, write, write, writeBytes`

### Methods inherited from class java.io.OutputStream

`nullOutputStream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DummyPrintStream

public DummyPrintStream(OutputStream out)